Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Returns paginated list of all artists.
cURL
curl --request GET \ --url https://api.rewind.rest/v1/listening/artists \ --header 'Authorization: Bearer <token>'
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.rewind.rest/v1/listening/artists', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requests url = "https://api.rewind.rest/v1/listening/artists" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
{ "data": [ { "id": 130, "name": "Beastie Boys", "playcount": 4011, "genre": "Hip-Hop", "url": "https://www.last.fm/music/Beastie+Boys", "apple_music_url": null, "image": { "url": "https://cdn.rewind.rest/cdn-cgi/image/width=300,height=300,fit=cover,format=auto,quality=85/listening/artists/130/original.jpg?v=1", "thumbhash": "GggGBwDN+CSBp7VXcmVmlyZ2BgAAAAAA", "dominant_color": "#191919", "accent_color": "#7e7e7e" } }, { "id": 189, "name": "Nirvana", "playcount": 2179, "genre": "Grunge", "url": "https://www.last.fm/music/Nirvana", "apple_music_url": "https://music.apple.com/us/artist/nirvana/112018?uo=4", "image": null }, { "id": 92, "name": "Taylor Swift", "playcount": 2164, "genre": "Country", "url": "https://www.last.fm/music/Taylor+Swift", "apple_music_url": "https://music.apple.com/us/artist/taylor-swift/159260351?uo=4", "image": null } ], "pagination": { "page": 1, "limit": 20, "total": 5278, "total_pages": 264 } }
{ "error": "Not found", "status": 404 }
API key. Read keys (rw_live_...) access GET endpoints. Admin keys (rw_admin_...) access all endpoints.
x >= 1
1
1 <= x <= 100
20
playcount
name
"playcount"
asc
desc
"desc"
"Radiohead"
Artist list
Show child attributes